Write a Java program, which will index each letter in a text to words. Program does not have to take letter case into consideration. Words that occur many times in a text must be presented only once in output. List of words in which particular letter occurs, should be sorted alphabetically.

 

Input text: ala ma kota, kot koduje w Javie Kota – (eng. Ala has a cat, a cat develops a cat in Java ;) )

 

Output:

a: ala, javie , kota, ma

d: koduje

e: javie , koduje

i: javie

j: javie, koduje

k: koduje, kot, kota

l: ala

m: ma

o: koduje, kot, kota

t: kot, kota

u: koduje

v: javie

w: w